/*
	qperl.h
*/

#ifdef __cplusplus
extern "C" {
#endif

void qperl_init (char * * env);
void qperl_destroy (void);

typedef enum {
	qpUp, qpDown, qpLeft, qpRight, qpHome, qpEnd, qpGotoLine,
	qpGetChar, qpDelChar, qpDelLine, qpReplaceLine, qpInsText,
	qpLine, qpNumlines, qpCharLine, qpGetLine,
	qpStatus
} qpFuncCode;

typedef int (* qpFunc) (void *, qpFuncCode, int n, void *);

int qperl_macro (char cMac, qpFunc func, void * data);

#ifdef __cplusplus
}
#endif

/* Fin de qperl.c */